Method: projects.locations.brands.evaluationCases.batchUpdate

Batch updates EvaluationCases.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/evaluationCases:batchUpdate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource shared by all evaluation cases being updated. Format: projects/{project}/locations/{location}/brands/{brand} If this is set, the parent of all of the evaluation cases specified in requests must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateEvaluationCaseRequest)
    }
  ]
}
Fields
requests[]

object (UpdateEvaluationCaseRequest)

Required. The request message specifying the resources to update. A maximum of 1000 evaluation cases can be modified in a batch.

Response body

Response message for MenuService.BatchUpdateEvaluationCases.

If successful, the response body contains data with the following structure:

JSON representation
{
  "evaluationCases": [
    {
      object (EvaluationCase)
    }
  ]
}
Fields
evaluationCases[]

object (EvaluationCase)

EvaluationCases updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

UpdateEvaluationCaseRequest

Request message for MenuService.UpdateEvaluationCase.

JSON representation
{
  "evaluationCase": {
    object (EvaluationCase)
  },
  "updateMask": string,
  "allowMissing": boolean
}
Fields
evaluationCase

object (EvaluationCase)

Required. The evaluation case to update.

The evaluation case's name field is used to identify the evaluation case to update. Format: projects/{project}/locations/{location}/brands/{brand}/evaluationCases/{evaluationCase}

updateMask

string (FieldMask format)

Optional. The list of fields to update

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

allowMissing

boolean

Optional. If set to true, and the evaluation case is not found, a new evaluation case will be created. In this situation, updateMask is ignored.